hslua-module-text-1.2.0: Lua module for text

Copyright | © 2017–2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Stability | alpha
Portability | GHC only
Safe Haskell | None
Language | Haskell2010

HsLua.Module.Text

Contents

- Module
  - Functions

Description

Provides a Lua module containing a selection of useful Text functions.

Synopsis

- documentedModule :: LuaError e => Module e
- fromencoding :: LuaError e => DocumentedFunction e
- len :: DocumentedFunction e
- lower :: DocumentedFunction e
- reverse :: DocumentedFunction e
- sub :: DocumentedFunction e
- toencoding :: LuaError e => DocumentedFunction e
- upper :: DocumentedFunction e

# Module

documentedModule :: LuaError e => Module e Source #

The `text` module.

## Functions

fromencoding :: LuaError e => DocumentedFunction e Source #

Recodes a string as UTF-8.

len :: DocumentedFunction e Source #

Wrapper for ``length``.

lower :: DocumentedFunction e Source #

Wrapper for ``toLower``.

reverse :: DocumentedFunction e Source #

Wrapper for ``reverse``.

sub :: DocumentedFunction e Source #

Returns a substring, using Lua's string indexing rules.

toencoding :: LuaError e => DocumentedFunction e Source #

Converts a UTF-8 string to a different encoding.

upper :: DocumentedFunction e Source #

Wrapper for ``toUpper``.